org.apache.tools.ant.types.optional.image

## Class Draw

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.optional.image.ImageOperation
      - - org.apache.tools.ant.types.optional.image.TransformOperation
        - - org.apache.tools.ant.types.optional.image.Draw

All Implemented Interfaces:
  java.lang.Cloneable

    public class Draw
    extends TransformOperation

See Also:
  `Image`

### Field Summary

Fields
`protected int` `xloc`
`protected int` `yloc`

### Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

`instructions`

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`Draw()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addArc(Arc arc)` Add an arc.
`void` `addEllipse(Ellipse elip)` Add an ellipse.
`void` `addRectangle(Rectangle rect)` Add a rectangle to the operation.
`void` `addText(Text text)` Add text to the operation.
`javax.media.jai.PlanarImage` `executeTransformOperation(javax.media.jai.PlanarImage image)` Performs the transformations.
`void` `setXloc(int x)` Set the X location.
`void` `setYloc(int y)` Set the Y location.

### Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

`addDraw, addRotate, addScale`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### xloc

    protected int xloc

#### yloc

    protected int yloc

### Constructor Detail

#### Draw

    public Draw()

### Method Detail

#### setXloc

    public void setXloc(int x)

Set the X location.

Parameters:
  `x` - the value to use.

#### setYloc

    public void setYloc(int y)

Set the Y location.

Parameters:
  `y` - the value to use.

#### addRectangle

    public void addRectangle(Rectangle rect)

Add a rectangle to the operation...

Overrides:
  `addRectangle` in class `TransformOperation`
Parameters:
  `rect` - the rectangle to add.

#### addText

    public void addText(Text text)

Add text to the operation..

Overrides:
  `addText` in class `ImageOperation`
Parameters:
  `text` - the text to add.

#### addEllipse

    public void addEllipse(Ellipse elip)

Add an ellipse.

Parameters:
  `elip` - the ellipse to add.

#### addArc

    public void addArc(Arc arc)

Add an arc.

Parameters:
  `arc` - the arc to add.

#### executeTransformOperation

    public javax.media.jai.PlanarImage executeTransformOperation(javax.media.jai.PlanarImage image)

Performs the transformations..

Specified by:
  `executeTransformOperation` in class `TransformOperation`
Parameters:
  `image` - The image to perform the transformation on.
Returns:
  the transformed image.